[tool.poetry]
name = "grid-density-utility-metric"
version = "0.0.1"
description = "A service to create a custom grid and analyze the distribution of geographical routes in an area."
repository = "https://git.informatik.uni-leipzig.de/scads/de4l/privacy/grid-density-utility-metric"
authors = ["Maja Schneider"]
license = "MIT"
readme = "README.md"
classifiers = [
    "Programming Language :: Python :: 3",
    "License :: OSI Approved :: MIT License",
    "Operating System :: OS Independent"
]

[tool.poetry.dependencies]
python = ">=3.8,<3.11"
torch = { version = "~1.9.0", optional = true }
pandas = "1.5.0"
de4l_geodata = { git = "https://git.informatik.uni-leipzig.de/scads/de4l/privacy/de4l-geodata.git", branch = "main" }

[tool.poetry.dev-dependencies]
flake8 = "^5.0.4"
pylint = "^2.12.2"

[tool.poetry.extras]
torch = ["torch"]

[tool.poetry.urls]
"Bug Tracker" = "https://git.informatik.uni-leipzig.de/scads/de4l/privacy/grid-density-utility-metric/-/issues"
"Source" = "https://git.informatik.uni-leipzig.de/scads/de4l/privacy/grid-density-utility-metric"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
